Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.itl.cas
Class RegexFilter

    java.lang.Object
      com.endeca.itl.cas.Filter
          com.endeca.itl.cas.RegexFilter

All Implemented Interfaces:
  java.io.Serializable

    public class RegexFilter

extends Filter
implements java.io.Serializable

RegexFilter is a filter that applies a regular expression to a particular property. Matching may be specified as either case-sensitive or case-insensitive (it is case-insensitive by default).

See Also:
  Serialized Form

Constructor Summary
`RegexFilter()`
`RegexFilter(FilterScope scope, java.lang.String propertyName, java.lang.String regex)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getRegex()` Gets the regex value for this RegexFilter.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setRegex(java.lang.String regex)` Sets the regex value for this RegexFilter.

Methods inherited from class com.endeca.itl.cas.Filter
`getPropertyName, getScope, setPropertyName, setScope`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexFilter

    public RegexFilter()

### RegexFilter

    public RegexFilter(FilterScope scope,
                       java.lang.String propertyName,
                       java.lang.String regex)

Method Detail

### getRegex

    public java.lang.String getRegex()

  Gets the regex value for this RegexFilter.

  Returns:
    regex

### setRegex

    public void setRegex(java.lang.String regex)

  Sets the regex value for this RegexFilter.

  Parameters:
    `regex` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `Filter`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Filter`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: Content Acquisition System Web Service Stubs (casStubs)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:19-0500